package com.zhyc.module.biosafety.service;

import java.util.List;
import com.zhyc.module.biosafety.domain.SwPrescription;

/**
 * 处方Service接口
 * 
 * @author ruoyi
 * @date 2025-07-11
 */
public interface ISwPrescriptionService 
{
    /**
     * 查询处方
     * 
     * @param id 处方主键
     * @return 处方
     */
    public SwPrescription selectSwPrescriptionById(Long id);

    /**
     * 查询处方列表
     * 
     * @param swPrescription 处方
     * @return 处方集合
     */
    public List<SwPrescription> selectSwPrescriptionList(SwPrescription swPrescription);

    /**
     * 新增处方
     * 
     * @param swPrescription 处方
     * @return 结果
     */
    public int insertSwPrescription(SwPrescription swPrescription);

    /**
     * 修改处方
     * 
     * @param swPrescription 处方
     * @return 结果
     */
    public int updateSwPrescription(SwPrescription swPrescription);

    /**
     * 批量删除处方
     * 
     * @param ids 需要删除的处方主键集合
     * @return 结果
     */
    public int deleteSwPrescriptionByIds(Long[] ids);

    /**
     * 删除处方信息
     * 
     * @param id 处方主键
     * @return 结果
     */
    public int deleteSwPrescriptionById(Long id);
}
